Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162316 - [PATCH] broken pkg-config dependencies and pkg-config file in wrong package
Summary: [PATCH] broken pkg-config dependencies and pkg-config file in wrong package
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 11:46 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-11 19:17:45 UTC


Attachments (Terms of Use)
spec patch against FC Devel (deleted)
2005-07-02 11:46 UTC, Michael Schwendt
no flags Details | Diff
FC4 CVS spec patch (deleted)
2005-07-02 12:00 UTC, Michael Schwendt
no flags Details | Diff

Description Michael Schwendt 2005-07-02 11:46:28 UTC
$ pkg-config --cflags NetworkManager
Package dbus-1 was not found in the pkg-config search path.
Perhaps you should add the directory containing `dbus-1.pc'
to the PKG_CONFIG_PATH environment variable
Package 'dbus-1', required by 'NetworkManager', not found

$ rpm -qf /usr/lib/pkgconfig/NetworkManager.pc 
NetworkManager-0.4-18.FC4

Moving the file into NetworkManager-devel and changing that package to
"Requires: dbus-devel >= ..." fixes this.

Comment 1 Michael Schwendt 2005-07-02 11:46:28 UTC
Created attachment 116285 [details]
spec patch against FC Devel

Comment 2 Michael Schwendt 2005-07-02 12:00:28 UTC
Created attachment 116286 [details]
FC4 CVS spec patch

Comment 3 Dan Williams 2005-07-11 19:17:45 UTC
Committed, thanks.  Should come out in next rev.


Note You need to log in before you can comment on or make changes to this bug.